> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Test an unsaved SSH connection through Airflow



## OpenAPI

````yaml post /api/migration/infrastructure-config/ssh-connections/test
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/migration/infrastructure-config/ssh-connections/test:
    post:
      tags:
        - Infrastructure configuration
      summary: Test an unsaved SSH connection through Airflow
      operationId: >-
        test_ssh_connection_api_migration_infrastructure_config_ssh_connections_test_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SshConnectionRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TestConnectionResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    SshConnectionRequest:
      properties:
        conn_id:
          type: string
          maxLength: 200
          minLength: 1
          title: Conn Id
        host:
          type: string
          maxLength: 255
          minLength: 1
          title: Host
        port:
          type: integer
          maximum: 65535
          minimum: 1
          title: Port
          default: 22
        login:
          type: string
          maxLength: 255
          minLength: 1
          title: Login
        auth_method:
          type: string
          enum:
            - private_key
            - password
            - key_file
          title: Auth Method
          default: private_key
        private_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Private Key
        private_key_passphrase:
          anyOf:
            - type: string
            - type: 'null'
          title: Private Key Passphrase
        password:
          anyOf:
            - type: string
            - type: 'null'
          title: Password
        key_file:
          anyOf:
            - type: string
              maxLength: 1024
            - type: 'null'
          title: Key File
        timeout:
          type: integer
          maximum: 600
          minimum: 1
          title: Timeout
          default: 30
        no_host_key_check:
          type: boolean
          title: No Host Key Check
          default: true
        allow_host_key_change:
          type: boolean
          title: Allow Host Key Change
          default: true
        compress:
          type: boolean
          title: Compress
          default: false
        look_for_keys:
          type: boolean
          title: Look For Keys
          default: false
        description:
          anyOf:
            - type: string
              maxLength: 500
            - type: 'null'
          title: Description
      type: object
      required:
        - conn_id
        - host
        - login
      title: SshConnectionRequest
    TestConnectionResponse:
      properties:
        ok:
          type: boolean
          title: Ok
        message:
          type: string
          title: Message
      type: object
      required:
        - ok
        - message
      title: TestConnectionResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.